/****************************************************************************
 *
 * Copy right:   2017-, Copyrigths of EigenComm Ltd.
 * File name:    app.h
 * Description:  EC616 onenet demo entry header file
 * History:      Rev1.0   2018-07-12
 *
 ****************************************************************************/
#ifndef  APP_H
#define  APP_H

#ifdef __cplusplus
extern "C" {
#endif

#include "cisAsynEntry.h"

// #define QMSG_ID_BASE               (0x160) 
// #define QMSG_ID_NW_IPV4_READY      (QMSG_ID_BASE)
// #define QMSG_ID_NW_IPV6_READY      (QMSG_ID_BASE + 1)
// #define QMSG_ID_NW_IPV4_6_READY    (QMSG_ID_BASE + 2)
// #define QMSG_ID_NW_DISCONNECT      (QMSG_ID_BASE + 3)
// #define QMSG_ID_SOCK_SENDPKG       (QMSG_ID_BASE + 4)
// #define QMSG_ID_SOCK_RECVPKG       (QMSG_ID_BASE + 5)

#define QMSG_ID_BASE               (0x160) 
#define QMSG_ID_NW_IP_READY        (QMSG_ID_BASE)
#define QMSG_ID_NW_IP_SUSPEND      (QMSG_ID_BASE + 1)
#define QMSG_ID_NW_IP_NOREACHABLE  (QMSG_ID_BASE + 2)
#define QMSG_ID_SOCK_SENDPKG       (QMSG_ID_BASE + 4)
#define QMSG_ID_SOCK_RECVPKG       (QMSG_ID_BASE + 5)

typedef enum
{
    APP_INIT_STATE,
    APP_DEACTIVE_STATE,
    APP_IPREADY_STATE,
    APP_REPORT_STATE,
    APP_IDLE_STATE,
    APP_WAIT_STATE
} appRunningState_t;

typedef struct Uart_Receive_Type
{
    uint8_t Bms_Address; 
    uint8_t Bms_Read_Funcode; 
    uint8_t Reg_Begin_H; 
    uint8_t Reg_Begin_L; 
    uint8_t Reg_Num_H; 
    uint8_t Reg_Num_L; 
}Uart_Receive_Type;

uint8_t* Uart_Receive_func(Uart_Receive_Type Uart_Receive_Msg,uint8_t* Uart_Rece_buffer);

#ifdef __cplusplus
}
#endif
#endif /* APP_H */
